GET /v1/teams

Service: membership · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

200 Teams for the current user

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "role": {
            "type": "string",
            "enum": [
              "owner",
              "admin",
              "member"
            ]
          },
          "member_count": {
            "type": "integer",
            "minimum": 0
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "description",
          "role",
          "member_count",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

500 Unexpected error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://membership.platform.loop.health/v1/teams \
  -H "Authorization: Bearer $ACCESS_TOKEN"